win32_get_last_control_message
win32_query_service_status
win32service Functions
PHP Manual

# win32_pause_service

Pauses a service

### Description

int win32_pause_service ( string `$servicename` [, string `$machine` ] )

Pauses a named service. Requires administrative privileges.

### Parameters

`servicename`

  The short name of the service.

`machine`

  Optional machine name. If omitted, the local machine is used.

### Return Values

Returns `WIN32_NO_ERROR` on success, `FALSE` if there is a problem with the parameters or a Win32 Error Code on failure.

### See Also

- win32_start_service
- Win32 Error Codes